API ReferenceCredential types
Retrieve credential types
Roles
admindts-provider
Analytics Events
ECOSYSTEM_CREDENTIAL_RETRIEVE_LIST_STARTECOSYSTEM_CREDENTIAL_RETRIEVE_LIST_SUCCESSECOSYSTEM_CREDENTIAL_RETRIEVE_LIST_FAIL
GET
/v1/ecosystems/{ecosystemId}/credentialsRetrieves a list of credential types from the requested ecosystem.
Analytic events
- ECOSYSTEM_CREDENTIAL_RETRIEVE_LIST_START
- ECOSYSTEM_CREDENTIAL_RETRIEVE_LIST_SUCCESS
- ECOSYSTEM_CREDENTIAL_RETRIEVE_LIST_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
ecosystemId*string
The UUID of the ecosystem
Format
uuidQuery Parameters
limit?number
Range size of returned list.
Range
1 <= value <= 1000Default
100cursor?string
Starting point for the list of entries.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/ecosystems/497f6eca-6276-4993-bfeb-53cbbbba6f08/credentials"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "ecosystemId": "e2e92b49-5a4f-4804-83c0-325e709d9dcd", "profile": "compact", "type": "string", "name": "string" } ], "nextCursor": "string"}How would you rate this page?
Create credential type POST
Creates a new credential type in the requested ecosystem. ### **Analytic events** * ECOSYSTEM_CREDENTIAL_CREATE_START * ECOSYSTEM_CREDENTIAL_CREATE_SUCCESS * ECOSYSTEM_CREDENTIAL_CREATE_FAIL
Retrieve credential type GET
Retrieves a credential type from the requested ecosystem by its ID. ### **Analytic events** * ECOSYSTEM_CREDENTIAL_RETRIEVE_START * ECOSYSTEM_CREDENTIAL_RETRIEVE_SUCCESS * ECOSYSTEM_CREDENTIAL_RETRIEVE_FAIL